import { defineComponent } from "vue";

export default defineComponent({
    name: "dj-email",
    setup(_props, { slots }) {
        function clickMail() {
            const a = "dan";
            const b = "djledda";
            const c = "net";
            let link = "mailto:" + a + "@" + b + "." + c;
            window.location.href = link;
        }
        return () => (
            <a href="#" onClick={clickMail}>
                {slots.default ? slots.default() : "dan [at] djledda [dot] net"}
            </a>
        );
    },
});
